:root {
	/* COLORS */
	--white: #e1e1e1;
	--gray: #333333;
	--primary: #54fa78;
	--secondary: #2adfff;
	/* SIZES */
	--max-width: 758px;
	--max-height: 420px;
	/* transform: scale(.9); */
}

body {
	font-family: "Open Sans" , sans-serif;
	align-items: center;
	background: url("img/bglogin.jpg");
	background-attachment: fixed;
	background-position: center;
	background-repeat: no-repeat;
	background-size: cover;
	display: grid;
	height: 100vh;
	place-items: center;
	overflow: hidden;
}

.container {
	background-color: var(--white);
	position: relative;
	height: var(--max-height);
	max-width: var(--max-width);
	width: 100%;
	border-radius: 1rem;
	overflow: hidden;
	box-shadow: 
		#0004 0 10px 36px 0,
		#FFF1 0 0 0 1px;
}

.overlay {
	position: relative;
	height: 100%;
	width: 200%;
	left: -100%;
	background: url("image.png");
	background-attachment: fixed;
	background-position: center;
	background-repeat: no-repeat;
	background-size: cover;
	transform: translateX(0);
	transition: transform 0.6s ease;
}
.container-overlay {
	position: absolute;
	height: 100%;
	width: 50%;
	overflow: hidden;
	left: 50%;
	z-index: 100;
	transition: transform 0.6s ease;
}

.container.right-panel-active 
.container-overlay {
	transform: translateX(-100%);
}
.container.right-panel-active 
.overlay {
	transform: translateX(50%);
}

.overlay-panel {
	position: absolute;
	display: flex;
	height: 100%;
	width: 50%;
	align-items: center;
	justify-content: center;
	transition: transform 0.6s ease;
}
.overlay-right {
	right: 0;
}

.container.right-panel-active 
.overlay-left {
	transform: translateX(0);
}
.overlay-left {
	transform: translateX(-20%);
}
.container.right-panel-active
.overlay-right {
	transform: translateX(20%);
}

.btn {
	background: linear-gradient(30deg,
		var(--primary) 0%,
		var(--secondary) 74%);
	border: none;
	border-radius: 5px;
	color: #FFF;
	cursor: pointer;
	font-weight: bold;
	letter-spacing: 0.07rem;
	padding: 1rem 4rem;
	text-transform: uppercase;
	transition: all 300ms ease;
}
.btn:hover {
	box-shadow: 0 7px 18px -2px #0007;
	transform: scale(1.01);
}
.btn:active {
	transform: scale(0.95);
}

.container-form {
	position: absolute;
	height: 100%;
	transition: all 0.6s ease;
}
.signUp {
	width: 50%;
	z-index: 1;
}
.container.right-panel-active
.signUp {
	transform: translateX(100%);
	z-index: 5;
}

.form {
	display: flex;
	background-color: var(--white);
	align-items: center;
	justify-content: center;
	flex-direction: column;
	padding: 0 3rem;
	height: 100%;
}
.input {
	width: 100%;
	border: 2px solid #FFF;
	border-radius: 5px;
	outline: none;
	padding: 1rem;
	margin: 0.5rem;
	box-shadow: 
		#0002 0 1px 3px 0,
		#0002 0 0 0 1px;
}
.input:focus {
	box-shadow: #0005 0 2px 5px -1px;
}
.form > .btn {
	margin-top: 1.5rem;
	width: 112%;
}

.signIn {
	width: 50%;
	z-index: 2;
}
.container.right-panel-active
.signIn {
	transform: translateX(100%);
}

.title {
	font-weight: 300;
	margin: 0;
	margin-bottom: 1.25rem;
}

.link {
	color: var(--gray);
	font-size: 0.9rem;
	margin: 1.5rem 0;
	text-decoration: none;
}
.link:hover {
	color: var(--primary);
}